Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barbecue
Class BaseBarcodeProvider

    java.lang.Object
      net.sf.jasperreports.components.barbecue.BaseBarcodeProvider

All Implemented Interfaces:
  BarcodeProvider

Direct Known Subclasses:
  BarcodeProviders.Barcode2of7Provider, BarcodeProviders.Barcode3of9Provider, BarcodeProviders.BooklandProvider, BarcodeProviders.CodabarProvider, BarcodeProviders.Code128AProvider, BarcodeProviders.Code128BProvider, BarcodeProviders.Code128CProvider, BarcodeProviders.Code128Provider, BarcodeProviders.Code39ExtendedProvider, BarcodeProviders.Code39Provider, BarcodeProviders.EAN128Provider, BarcodeProviders.EAN13Provider, BarcodeProviders.GlobalTradeItemNumberProvider, BarcodeProviders.Int2of5Provider, BarcodeProviders.MonarchProvider, BarcodeProviders.NW7Provider, BarcodeProviders.PDF417Provider, BarcodeProviders.PostNetProvider, BarcodeProviders.RandomWeightUPCAProvider, BarcodeProviders.SCC14ShippingCodeProvider, BarcodeProviders.ShipmentIdentificationNumberProvider, BarcodeProviders.SSCC18Provider, BarcodeProviders.Std2of5Provider, BarcodeProviders.UCC128Provider, BarcodeProviders.UPCAProvider, BarcodeProviders.USD3Provider, BarcodeProviders.USD4Provider, BarcodeProviders.USPSProvider

    public abstract class BaseBarcodeProvider

extends java.lang.Object
implements BarcodeProvider

Version:
  $Id: BaseBarcodeProvider.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BaseBarcodeProvider()`

Method Summary
`net.sourceforge.barbecue.Barcode` | `createBarcode(BarcodeInfo barcodeInfo)`
`protected abstract net.sourceforge.barbecue.Barcode` | `createBaseBarcode(BarcodeInfo barcodeInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseBarcodeProvider

    public BaseBarcodeProvider()

Method Detail

### createBarcode

    public net.sourceforge.barbecue.Barcode createBarcode(BarcodeInfo barcodeInfo)
                                                   throws net.sourceforge.barbecue.BarcodeException

  Specified by:
    `createBarcode` in interface `BarcodeProvider`
  Throws:
    `net.sourceforge.barbecue.BarcodeException`

### createBaseBarcode

    protected abstract net.sourceforge.barbecue.Barcode createBaseBarcode(BarcodeInfo barcodeInfo)
                                                                   throws net.sourceforge.barbecue.BarcodeException

  Throws:
    `net.sourceforge.barbecue.BarcodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com